--Make sure to start the ConsumeMemory.sql script

SET NOCOUNT ON

CREATE TABLE #MemState
	(TotalPageFile			BIGINT,
	 AvailablePageFileKB	BIGINT,
	 State					VARCHAR(200),
	 TotalPhysMem			BIGINT,
	 AvailPhysMem			BIGINT,
	 SysHighMemState		BIT,
	 SysLowMemState			BIT,
	 TimeOfCapture			DATETIME)

DECLARE @count INT
SET @count = 1

WHILE @count < 4
	
	BEGIN
		PRINT @count
		INSERT INTO #MemState
		SELECT    total_page_file_kb
				, available_page_file_kb
				, system_memory_state_desc
				, total_physical_memory_kb
				, available_physical_memory_kb
				, system_high_memory_signal_state
				, system_low_memory_signal_state
				, GETDATE()
		FROM sys.dm_os_sys_memory
	
		WAITFOR DELAY '00:00:03'

		SET @count = @count + 1
	END

SELECT *
FROM #MemState

DROP TABLE #MemState

